Subject: [Technical Errata Reported] RFC7540 (4636)

From: RFC Errata System <[email-masked]>
Date: Wed, 9 Mar 2016 18:46:59 -0800 (PST)

The following errata report has been submitted for RFC7540,
"Hypertext Transfer Protocol Version 2 (HTTP/2)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7540&eid=4636

--------------------------------------
Type: Technical
Reported by: hongbo li <[email-masked]>

Section: 5.1

Original Text
-------------

Corrected Text
--------------

Notes
-----
The explanation about "reserved (remote)" stream state in section 5.1 makes me confused, I don't know whether sending a WINDOW_UPDATE frame in this state should be treated as PROTOCOL_ERROR or not.

Maybe "Receiving any type of frame other than HEADERS, RST_STREAM, or PRIORITY on a stream in this state MUST be treated as a connection error (Section 5.4.1) of type PROTOCOL_ERROR" should be:
Receiving any type of frame other than HEADERS,WINDOW_UPDATE, RST_STREAM, or PRIORITY on a stream in this state MUST be treated as a connection error (Section 5.4.1) of type PROTOCOL_ERROR.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7540 (draft-ietf-httpbis-http2-17)
--------------------------------------
Title               : Hypertext Transfer Protocol Version 2 (HTTP/2)
Publication Date    : May 2015
Author(s)           : M. Belshe, R. Peon, M. Thomson, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Barry Leiba <[email-masked]>
Date: Thu, 10 Mar 2016 06:56:55 +0000

RFC Editor,
The submitter has sent a separate note saying that this is not an
error, but his misunderstanding, and he understands it on re-reading.
Will you please remove this errata report?

Thanks,
Barry